import { NgModule } from '@angular/core';
import { TranslateModule } from '@ngx-translate/core';
import FindLanguageFromKeyPipe from './find-language-from-key.pipe';
import Translate3Directive from './translate3.directive';
import Translate2Directive from './translate2.directive';
import Translate3Pipe from './translate3.pipe';
import TranslateDirective from './translate.directive';

@NgModule({
  imports: [TranslateModule, TranslateDirective, Translate3Directive, Translate2Directive, Translate3Pipe, FindLanguageFromKeyPipe],
  exports: [TranslateModule, TranslateDirective, Translate3Directive, Translate2Directive, FindLanguageFromKeyPipe, Translate3Pipe],
})
export class LanguageModule {}
