import { Pipe, PipeTransform } from '@angular/core';

import dayjs, { Dayjs } from 'dayjs';

@Pipe({
  standalone: true,
  name: 'formatStandartDate',
})
export default class FormatStandartDatePipe implements PipeTransform {
  transform(day: Dayjs | undefined | null): string {
    return day ? dayjs(day).format('DD.MM.YYYY') : '';
  }
}
